Commit 723d9bac authored by David Schleef's avatar David Schleef
Browse files

fixes to make gdk_pixbuf loader install nicely

Original commit message from CVS:
fixes to make gdk_pixbuf loader install nicely
parent cbd51d3b
...@@ -239,7 +239,8 @@ if test "x$HAVE_GTK_22" = "xyes"; then ...@@ -239,7 +239,8 @@ if test "x$HAVE_GTK_22" = "xyes"; then
AC_PATH_PROG(QUERYLOADERS, gdk-pixbuf-query-loaders, no) AC_PATH_PROG(QUERYLOADERS, gdk-pixbuf-query-loaders, no)
GTK_VERSION=`$PKG_CONFIG --variable=gtk_binary_version gtk+-2.0` GTK_VERSION=`$PKG_CONFIG --variable=gtk_binary_version gtk+-2.0`
AC_SUBST(GTK_VERSION) AC_SUBST(GTK_VERSION)
GTK_BASE_DIR=`echo "$QUERYLOADERS" | sed "s/bin\/gdk-pixbuf-query-loaders\$//"` GTK_PREFIX=`$PKG_CONFIG --variable=prefix gdk-pixbuf-2.0`
GTK_SYSCONFDIR=`$PKG_CONFIG --variable=prefix gdk-pixbuf-2.0`
AC_SUBST(GTK_BASE_DIR) AC_SUBST(GTK_BASE_DIR)
else else
PKG_CHECK_MODULES(GTK2, gtk+-2.0, HAVE_GTK_20=yes, HAVE_GTK_20=no) PKG_CHECK_MODULES(GTK2, gtk+-2.0, HAVE_GTK_20=yes, HAVE_GTK_20=no)
...@@ -254,6 +255,27 @@ AC_SUBST(GTK_CFLAGS) ...@@ -254,6 +255,27 @@ AC_SUBST(GTK_CFLAGS)
AC_SUBST(HAVE_GTK) AC_SUBST(HAVE_GTK)
AM_CONDITIONAL(HAVE_GDK_LOADERS, test "x$HAVE_GTK_22" = "xyes") AM_CONDITIONAL(HAVE_GDK_LOADERS, test "x$HAVE_GTK_22" = "xyes")
AC_ARG_WITH(gdk-pixbuf-loader-dir,
AC_HELP_STRING([--with-gdk-pixbuf-loader-dir],
[directory to install the gdk_pixbuf loader]),
[if test "x${withval}" != x ; then
GDK_PIXBUF_LOADER_DIR=${withval}
else
GDK_PIXBUF_LOADER_DIR="\$(libdir)/gtk-2.0/\$(GTK_VERSION)"
fi
])
GDK_PIXBUF_CONFFILE="\$(sysconfdir)/gtk-2.0/gdk-pixbuf.loaders"
AC_ARG_WITH(gdk-pixbuf-conffile,
AC_HELP_STRING([--with-gdk-pixbuf-conffile],
[path to the gdk_pixbuf config file]),
[if test "x${withval}" != x ; then
GDK_PIXBUF_CONFFILE=${withval}
else
GDK_PIXBUF_CONFFILE="\$(sysconfdir)/gtk-2.0/gdk-pixbuf.loaders"
fi
])
dnl =========================================================================== dnl ===========================================================================
dnl ============================= gst plug-ins ================================ dnl ============================= gst plug-ins ================================
dnl =========================================================================== dnl ===========================================================================
......
...@@ -8,7 +8,7 @@ libgstgdkpixbuf_la_LDFLAGS = $(GST_PLUGIN_LDFLAGS) ...@@ -8,7 +8,7 @@ libgstgdkpixbuf_la_LDFLAGS = $(GST_PLUGIN_LDFLAGS)
if HAVE_GDK_LOADERS if HAVE_GDK_LOADERS
loaderdir = $(GTK_BASE_DIR)/lib/gtk-2.0/$(GTK_VERSION)/loaders loaderdir = $(GDK_PIXBUF_LIBDIR)/gtk-2.0/$(GTK_VERSION)/loaders
loader_LTLIBRARIES = gst_loader.la loader_LTLIBRARIES = gst_loader.la
gst_loader_la_CFLAGS = $(GST_CFLAGS) $(GTK_CFLAGS) -DGDK_PIXBUF_ENABLE_BACKEND gst_loader_la_CFLAGS = $(GST_CFLAGS) $(GTK_CFLAGS) -DGDK_PIXBUF_ENABLE_BACKEND
...@@ -20,9 +20,11 @@ gst_loader_la_LIBADD = $(GTK_LIBS) $(GST_LIBS) ...@@ -20,9 +20,11 @@ gst_loader_la_LIBADD = $(GTK_LIBS) $(GST_LIBS)
gst_loader_headers = gstgdkanimation.h gst_loader_headers = gstgdkanimation.h
install-data-hook: #install-data-hook:
$(mkinstalldirs) $(GTK_BASE_DIR)/etc/gtk-2.0 ; \ # if test -z "$(DESTDIR)" ; then
$(QUERYLOADERS) > $(GTK_BASE_DIR)/etc/gtk-2.0/gdk-pixbuf.loaders ; # $(mkinstalldirs) $(DESTDIR)$(GDK_PIXBUF_SYSCONFDIR)/gtk-2.0 ; \
# $(QUERYLOADERS) > $(DESTDIR)$(GDK_PIXBUF_SYSCONFDIR)/gtk-2.0/gdk-pixbuf.loaders ; \
# fi
else else
gst_loader_headers = gst_loader_headers =
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment